Developers
API ReferenceReported Time Type

Creates a ReportedTimeType resource.

POST
/project/reported-time-types

Creates a ReportedTimeType resource.

Authorization

apiKey
headerAuthorization<token>

Value for the Authorization header parameter.

Request Body

The new ReportedTimeType resource

  1. body
name?string
Lengthlength <= 100
isDefault?boolean
Defaultfalse
isPaid?boolean
Defaulttrue
isActive?boolean
Defaulttrue

Response Body

ReportedTimeType resource created

  1. response
id?string
Formatuuid
name?string
Lengthlength <= 100
isDefault?boolean
isPaid?boolean
isActive?boolean
Example Request
curl -X POST 'https://app.icproject.com/api/instance/demo/project/reported-time-types' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "isDefault": true,  "isPaid": true,  "isActive": true}